import csv
import sys
import zipfile
import matplotlib.pyplot as plt

def run_simulation(data_a, data_b):
    a = csv_read(data_a)
    b = csv_read(data_b)
    data = a + b
    return data

def csv_read(f):
    file = open(f, "rU")
    reader = csv.reader(file, delimiter=":")
    data = []
    for row in reader:
        data.append(row)
    file.close()
    return data

def extract_column(data, column):
        col_data = []
        for row in data:
            col_data.append(float(row[column]))
        return col_data

def plot(data):
    # GetData
    p = extract_column(data, 0)
    # draw the histogram of p
    plt.hist(p,histtype="bar")
    plt.savefig("output.png")


# Main Program
# Extract Zip File
zip_ref = zipfile.ZipFile("weather_data.zip", 'r')
zip_ref.extractall("data")
zip_ref.close()

data_a = "data/temp_precip1.dat"
data_b = "data/temp_precip2.dat"
data = run_simulation(data_a, data_b)
plot(data)
